%{?nodejs_find_provides_and_requires}

%global packagename subarg
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.0.0
Release: 1%{?dist}.3
Summary: Parse arguments with recursive contexts
License: MIT
URL: https://github.com/substack/subarg
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(minimist) >= 1.1.0
BuildRequires: npm(minimist) < 2.0.0
%if 0%{?enable_tests}
BuildRequires: npm(tape) >= 3.0.0
%endif

%description
Parse arguments with recursive contexts using minimist.


%prep
%setup -q -n package
%nodejs_fixdep --dev tape '>=3.0.0'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tape test/*.js
%endif


%files
%license LICENSE
%doc *.markdown example
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat Sep 24 2016 Oleg Girko <ol@infoserver.lv> - 1.0.0-1
- Initial package.
